/*
 * Problem    : crisis
 * Author     : Daniel Neiter
 * Language   : C++
 * Compiler   : MS Visual C++ 2008 Express Edition
 * Algorithm  : Wrong greedy approach 
 * Complexity : O(N) 
 */
#include <cstdio>
#include <fstream>
#include <algorithm>

using namespace std;

const char *infile="crisis.dat";
const char *outfile="crisis.sol";

const int maxN=50000;

int lr[maxN];
int ur[maxN];
bool sell[maxN];
bool buy[maxN];

int main() {
     int i;
     int n,s;
     long long olimp,galact;
     FILE *ifs=fopen(infile,"r");
     ofstream ofs(outfile);

     fscanf(ifs,"%d%d",&n,&s);
     for(i=0;i<n;i++) 
          fscanf(ifs,"%d%d",&ur[i],&lr[i]);
     sell[n-1]=true;
     int mx=lr[n-1];
     int bestpr=lr[n-1];
     for(i=n-2;i>=0;i--) {
          mx=max(lr[i],mx);
          if(lr[i]==mx) {
               sell[i]=true;
               bestpr=lr[i];
          }
          else {
               bestpr=min(ur[i],bestpr);
               if(ur[i]==bestpr)buy[i]=true;
          }
     }
     olimp=s;
     galact=0;
     for(i=0;i<n;i++) 
          if(sell[i]) {
               olimp+=galact*lr[i];
               galact=0;
          }
          else if(buy[i]) {
               galact+=olimp/ur[i];
               olimp%=ur[i];
          }
     
     ofs<<olimp<<endl;

     fclose(ifs);
     return 0;
}
