/*
    Intended solution for numbers
	Complexity: O(length^2)
	Expected score: 100
	
	Written by Yaroslav Tverdokhlib
*/
#define _CRT_SECURE_NO_DEPRECATE
#include <algorithm>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cstring>
using namespace std;
#define mp make_pair
#define x first
#define y second
#define pii pair<int,int>
#define INF 1000000000
#define FOR(i,a,b) for (int _n(b), i(a); i <= _n; i++)
#define all(c) (c).begin(), (c).end()
#define rept(i,n) FOR(i,0,(n)-1)
#define L(s) (int)((s).size())
int d,i,j,n,m,k;
string a,b,c;
inline pair<string,string> solve(string a,string b,string c)
{
	string x="",y="",add="";
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	while (L(a) && a[L(a)-1]==b[L(b)-1])
	{
		add+=a.substr(L(a)-1,1);
		a.erase(L(a)-1,1);
		b.erase(L(b)-1,1);
		c.erase(L(c)-1,1);
	}
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	int ans,tmp,tmp2;
	// finding x
	ans=INF;
	tmp=0,tmp2=0;
	rept(i,L(a))
	{
		for (char ch='0';ch<='9';++ch)
		{
			if (ch>a[i] && (i!=0 || ch<b[i]))
			{
				int cur=(ch-c[i])*(ch-c[i])+tmp;
				if (cur<=ans)
				{
					string ss=a.substr(0,i)+" ";
					ss[L(ss)-1]=ch;
					ss+=c.substr(i+1,L(c)-i-1);
					if (cur<ans || (cur==ans && ss<x))
					{
						ans=cur;
						x=ss;
					}
				}
			}
			if (ch<b[i] && (i!=0 || ch>a[i]))
			{
				int cur=(ch-c[i])*(ch-c[i])+tmp2;
				if (cur<=ans)
				{
					string ss=b.substr(0,i)+" ";
					ss[L(ss)-1]=ch;
					ss+=c.substr(i+1,L(c)-i-1);
					if (cur<ans || (cur==ans && ss<x))
					{
						ans=cur;
						x=ss;
					}
				}
			}
		}
		tmp+=(a[i]-c[i])*(a[i]-c[i]);
		tmp2+=(b[i]-c[i])*(b[i]-c[i]);
	}
	if (tmp<ans || (tmp==ans && a<x))
	{
		ans=tmp;
		x=a;
	}
	if (tmp2<ans || (tmp2==ans && b<x))
	{
		ans=tmp2;
		x=b;
	}
	// finding y
	ans=-INF;
	tmp=0;
	tmp2=0;
	rept(i,L(a))
	{
		for (char ch='0';ch<='9';++ch)
		{
			if (ch>a[i] && (i!=0 || ch<b[i]))
			{
				int cur=(ch-c[i])*(ch-c[i])+tmp;
				string ss=a.substr(0,i)+" ";
				ss[L(ss)-1]=ch;
				FOR(j,i+1,L(c)-1)
				{
					ss+=" ";
					int r1=(c[j]-'0')*(c[j]-'0'),r2=(c[j]-'9')*(c[j]-'9');
					if (r1>r2) ss[L(ss)-1]='0'; else
					ss[L(ss)-1]='9';
					cur+=max(r1,r2);
				}
				if (cur>ans || (cur==ans && ss>y))
				{
					ans=cur;
					y=ss;
				}
			}
			if (ch<b[i] && (i!=0 || ch>a[i]))
			{
				int cur=(ch-c[i])*(ch-c[i])+tmp2;
				string ss=b.substr(0,i)+" ";
				ss[L(ss)-1]=ch;
				FOR(j,i+1,L(c)-1)
				{
					ss+=" ";
					int r1=(c[j]-'0')*(c[j]-'0'),r2=(c[j]-'9')*(c[j]-'9');
					if (r1>r2) ss[L(ss)-1]='0'; else
					ss[L(ss)-1]='9';
					cur+=max(r1,r2);
				}
				if (cur>ans || (cur==ans && ss>y))
				{
					ans=cur;
					y=ss;
				}
			}
		}
		tmp+=(a[i]-c[i])*(a[i]-c[i]);
		tmp2+=(b[i]-c[i])*(b[i]-c[i]);
	}
	if (tmp>ans || (tmp==ans && a>y))
	{
		ans=tmp;
		y=a;
	}
	if (tmp2>ans || (tmp2==ans && b>y))
	{
		ans=tmp2;
		y=b;
	}
	pair<string,string> res=mp(add+x,add+y);
	reverse(all(res.x)); reverse(all(res.y));
	while (L(res.x) && res.x[L(res.x)-1]=='0') res.x.erase(L(res.x)-1,1);
	while (L(res.y) && res.y[L(res.y)-1]=='0') res.y.erase(L(res.y)-1,1);
	reverse(all(res.x)); reverse(all(res.y));
	if (!L(res.x)) res.x="0";
	if (!L(res.y)) res.y="0";
	return res;
}
inline void prepare (string &a,string &b,string &c)
{
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	d=max(L(a),max(L(b),L(c)));
	while (L(a)<d) a+="0";
	while (L(b)<d) b+="0";
	while (L(c)<d) c+="0";
	reverse(all(a)); reverse(all(b)); reverse(all(c));
	if (a>b) swap(a,b);
}
int main()
{
	freopen("numbers.dat","r",stdin);
	freopen("numbers.sol","w",stdout);
	cin>>a>>b>>c;
	prepare(a,b,c);
	pair<string,string> ans=solve(a,b,c);
	cout<<ans.x<<endl;
	cout<<ans.y<<endl;
}
